/**
* @author Dirk Nordmann
* @date   14.01.2002
*/
package xml2rtf.rtf;


public class HtmlTagInfo
{
    private String _text;
    private int _ident;
    private boolean _print_text;
    private boolean _needs_close_tag;
    private boolean _close_before_table;

    public HtmlTagInfo(String text, int ident, boolean print_text, boolean needs_close_tag, boolean close_before_table)
    {
        _text = text;
        _ident = ident;
        _print_text = print_text;
        _needs_close_tag = needs_close_tag;
        _close_before_table = close_before_table;
    }
    
    public String Text()
    {
    		return _text;
    }
    
    public int Ident()
    {
    		return _ident;
    }
    
    public boolean needsCloseTag()
    {
    		return _needs_close_tag;
    }

}